import java.util.Scanner;

public class Avenida {
    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);

        while (true) {
            // Entrada do valor de d
            System.out.print("Digite d (0 para sair): ");
            int d = scanner.nextInt();

            if (d == 0) {
                break;
            }

            int resp = 2000;
            int ponto = 0;

            while (ponto <= 2000) {
                int distPonto;
                if (d > ponto) {
                    distPonto = d - ponto;
                } else {
                    distPonto = ponto - d;
                }

                resp = Math.min(resp, distPonto);
                ponto += 400;
            }

            System.out.println(resp);
        }

        scanner.close();
    }
}
